Subject: 27.0.50; Startup: auto-save-list folder created in current directory

From: Paul Eggert <[email-masked]>
Date: Wed, 11 Sep 2019 08:56:05 -0700

Thanks for the bug report. I thought I'd fixed all those defcustoms, but 
evidently I missed one. I installed the attached patch into master; please give 
it a try.
>From 72b68a63565a778d5a19e5a9275805b8b77b890c Mon Sep 17 00:00:00 2001
From: Paul Eggert <[email-masked]>
Date: Wed, 11 Sep 2019 08:50:02 -0700
Subject: [PATCH] Fix auto-save with user-emacs-directory

* lisp/startup.el (auto-save-list-file-prefix): Delay initialization,
since the value depends on user-emacs-directory (Bug#37354).
---
 lisp/startup.el | 1 +
 1 file changed, 1 insertion(+)

diff --git a/lisp/startup.el b/lisp/startup.el
index a16db242da..ef6234128a 100644
--- a/lisp/startup.el
+++ b/lisp/startup.el
@@ -406,6 +406,7 @@ auto-save-list-file-prefix
 Directories in the prefix will be created if necessary.
 Set this to nil if you want to prevent `auto-save-list-file-name'
 from being initialized."
+  :initialize #'custom-initialize-delay
   :type '(choice (const :tag "Don't record a session's auto save list" nil)
 		 string)
   :group 'auto-save)
-- 
2.17.1